Bug 503793 - Pull RHEV bugfixes between kvm-83-52.el5ovirt and kvm-83-58.el5ovirt
Pull RHEV bugfixes between kvm-83-52.el5ovirt and kvm-83-58.el5ovirt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Lawrence Lim
:
Depends On: 501729
Blocks: 504237
  Show dependency treegraph
 
Reported: 2009-06-02 14:16 EDT by Eduardo Habkost
Modified: 2016-04-26 10:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: kvm-83-59.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 501729
: 504237 (view as bug list)
Environment:
Last Closed: 2009-09-02 05:33:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch series (67.19 KB, patch)
2009-06-02 14:32 EDT, Eduardo Habkost
no flags Details | Diff

  None (edit)
Comment 1 Eduardo Habkost 2009-06-02 14:29:55 EDT
Patches acked:
* Patch: Revert "qemu: fix bad physical address in kvm_update_dirty_pages_log()"
  (Message-Id: <1242242923-7644-2-git-send-email-glommer@redhat.com>)
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>

* Patch: Enable dirty logging for all regions during migration
  (Message-Id: <1242242923-7644-3-git-send-email-glommer@redhat.com>)
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: migrate.c: migrate_fd_put_buffer: Do not busyloop: stop writing if EWOULDBLOCK
  (Message-Id: <1242726337-29202-1-git-send-email-uril@redhat.com>)
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Luiz Capitulino <lcapitul@redhat.com>

* Patch: cirrus: fix text screen corruption on reset.
  (Message-Id: <4A13F8EA.3030208@redhat.com>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>

* Patch: Support multiple VNC clients (re-added)
  (Message-Id: <49E74E46.1060107@redhat.com>)
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: vnc: fix multiple connections displaystate initialization
  (Message-Id: <4A126CDE.2040403@redhat.com>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: "Daniel P. Berrange" <berrange@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: vnc: Remove checks for qemu_realloc() return value
  (Message-Id: <20090518212210.GN2079@blackpad>)
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: Luiz Capitulino <lcapitul@redhat.com>

* Patch: ksm ?: remove full swapping support for kvm mmu pages under ovirt (rhel 5.3)
  (Message-Id: <4A11BD10.3060905@redhat.com>)
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: keypad support
  (Message-Id: <4A1263D7.40805@redhat.com>)
  - Acked-by: Markus Armbruster <armbru@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Luiz Capitulino <lcapitul@redhat.com>

* Patch: Call missing qemu_bh_delete at the end of raw_aio_em_cb callback.
  (Message-Id: <4A190FD1.8070805@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Gleb Natapov <gleb@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>

* Patch: Add qemu_send_raw() to vlan.
  (Message-Id: <20090526133205.GV3948@redhat.com>)
  - Acked-by: Mark McLoughlin <markmc@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Minimal ethernet frame length is 64 bytes.
  (Message-Id: <1243256573-9056-3-git-send-email-gleb@redhat.com>)
  - Acked-by: Mark McLoughlin <markmc@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>

* Patch: Don't send all gratuitous packets at once.
  (Message-Id: <1243256573-9056-4-git-send-email-gleb@redhat.com>)
  - Acked-by: Mark McLoughlin <markmc@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>

* Patch: fix wrong bios pci mapping for large slots (Bug 499432)
  (Message-Id: <4A1D5A6A.9050601@redhat.com>)
  - Acked-by: Marcelo Tosatti <mtosatti@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
  - Acked-by: Yaniv Kamay <ykamay@redhat.com>

* Patch: KVM: Fix NX support reporting
  (Message-Id: <20090526144829.GB17390@amt.cnet>)
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Don Dutile <ddutile@redhat.com>
  - Acked-by: Marcelo Tosatti <mtosatti@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>

* Patch: KVM: x86: check for cr3 validity in ioctl_set_sregs
  (Message-Id: <20090526145113.GC17390@amt.cnet>)
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Marcelo Tosatti <mtosatti@redhat.com>
  - Acked-by: Juan Quintela <quintela@redhat.com>
Comment 2 Eduardo Habkost 2009-06-02 14:32:38 EDT
Created attachment 346296 [details]
Patch series

Queued patches, on mbox format.
Comment 3 Eduardo Habkost 2009-06-02 14:32:42 EDT
Patch posted for review and queued. Changing status to POST
Comment 8 lihuang 2009-07-20 23:40:03 EDT
patches including : 
- kvm-kernel-KVM-Fix-NX-support-reporting.patch [bz#503793]
- kvm-kernel-KVM-x86-check-for-cr3-validity-in-ioctl_set_sregs.patch [bz#503793]
- kvm-Revert-qemu-fix-bad-physical-address-in-kvm_update_d.patch [bz#503793]
- kvm-Enable-dirty-logging-for-all-regions-during-migratio.patch [bz#503793]
- kvm-migrate.c-migrate_fd_put_buffer-Do-not-busyloop-stop.patch [bz#503793]
- kvm-cirrus-fix-text-screen-corruption-on-reset.patch [bz#503793]
- kvm-Support-multiple-VNC-clients-re-added.patch [bz#503793]
- kvm-vnc-fix-multiple-connections-displaystate-initializa.patch [bz#503793]
- kvm-vnc-Remove-checks-for-qemu_realloc-return-value.patch [bz#503793]
- kvm-ksm-remove-full-swapping-support-for-kvm-mmu-pages-u.patch [bz#503793]
- kvm-keypad-support.patch [bz#503793]
- kvm-Call-missing-qemu_bh_delete-at-the-end-of-raw_aio_em.patch [bz#503793]
- kvm-Add-qemu_send_raw-to-vlan.patch [bz#503793]
- kvm-Minimal-ethernet-frame-length-is-64-bytes.patch [bz#503793]
- kvm-Don-t-send-all-gratuitous-packets-at-once.patch [bz#503793]
- kvm-fix-wrong-bios-pci-mapping-for-large-slots-Bug-49943.patch [bz#503793]

Note: for bug501809. there is a revert commit in 501777.
      for bug501734. patch is included in 498084

setting to *VERIFIED*
Comment 10 errata-xmlrpc 2009-09-02 05:33:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1272.html

Note You need to log in before you can comment on or make changes to this bug.